org.codehaus.plexus.configuration.processor

## Class AbstractConfigurationResourceHandler

- java.lang.Object
- - org.codehaus.plexus.configuration.processor.AbstractConfigurationResourceHandler

All Implemented Interfaces:
  ConfigurationResourceHandler

Direct Known Subclasses:
  DirectoryConfigurationResourceHandler, FileConfigurationResourceHandler

    public abstract class AbstractConfigurationResourceHandler
    extends Object
    implements ConfigurationResourceHandler

Version:
  $Id: AbstractConfigurationResourceHandler.java 1323 2004-12-20 23:00:59Z jvanzyl $
Author:
  Jason van Zyl

### Field Summary

### Fields inherited from interface org.codehaus.plexus.configuration.processor.ConfigurationResourceHandler

`SOURCE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractConfigurationResourceHandler()`

### Method Summary

Methods
`protected String` `getSource(Map parameters)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.codehaus.plexus.configuration.processor.ConfigurationResourceHandler

`getId, handleRequest`

### Constructor Detail

#### AbstractConfigurationResourceHandler

    public AbstractConfigurationResourceHandler()

### Method Detail

#### getSource

    protected String getSource(Map parameters)
                        throws ConfigurationProcessingException

Throws:
  `ConfigurationProcessingException`